This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 500570 - RFE: ipsec-tools: racoon daemon should have an init script
RFE: ipsec-tools: racoon daemon should have an init script
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipsec-tools (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 06:37 EDT by Tomas Hoger
Modified: 2012-03-05 11:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-05 11:27:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-05-13 06:37:53 EDT
Description of problem:
ipsec-tools package should provide init script to start / stop racoon daemon.  Current Fedora ipsec-tools packages already provide the init script for racoon.

This was previously notabugged in bug #136901 stating that initscripts's if{up,down}-ipsec are expected to start racoon daemon as needed.  However, racoon may need to be restarted (not only reloaded) in some cases, for example during the installation of the updated packages.  if{up,down}-ipsec only starts and reloads racoon, never stops it.  Manual restart may cause racoon to run with incorrect context (bug #500395).

Version-Release number of selected component (if applicable):
# rpm -q ipsec-tools
ipsec-tools-0.6.5-13.el5

Additional info:
In the long term, if{up,down}-ipsec should probably get changed to call init scripts instead of running racoon directly.
Comment 1 Tomas Mraz 2012-03-05 11:27:12 EST
We do not plan to resolve this issue in Red Hat Enterprise Linux 5 update release.

Note You need to log in before you can comment on or make changes to this bug.